RDKit: RDKit::RDKitFP::RDKitFPArguments Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::RDKitFP::RDKitFPArguments Class Reference

`#include <RDKitFPGenerator.h>`

Inheritance diagram for RDKit::RDKitFP::RDKitFPArguments:

## Public Member Functions
std::string | infoString () const override
| method that returns information string about the fingerprint specific argument set and the arguments themselves
void | toJSON (boost::property_tree::ptree &pt) const override
void | fromJSON (const boost::property_tree::ptree &pt) override
| RDKitFPArguments (unsigned int minPath=1, unsigned int maxPath=7, bool useHs=true, bool branchedPaths=true, bool useBondOrder=true, bool countSimulation=false, const std::vector< std::uint32_t > countBounds={1, 2, 4, 8}, std::uint32_t fpSize=2048, std::uint32_t numBitsPerFeature=2)
| Construct a new RDKitFPArguments object.
Public Member Functions inherited from RDKit::FingerprintArguments
| FingerprintArguments (bool countSimulation, const std::vector< std::uint32_t > countBounds, std::uint32_t fpSize, std::uint32_t numBitsPerFeature=1, bool includeChirality=false)
std::string | commonArgumentsString () const
| method that returns information string about common fingerprinting arguments' values
virtual | ~FingerprintArguments ()
| FingerprintArguments ()=default

## Public Attributes
unsigned int | d_minPath = 1
unsigned int | d_maxPath = 7
bool | df_useHs = true
bool | df_branchedPaths = true
bool | df_useBondOrder = true
Public Attributes inherited from RDKit::FingerprintArguments
bool | df_countSimulation = false
bool | df_includeChirality = false
std::vector< std::uint32_t > | d_countBounds
std::uint32_t | d_fpSize = 2048
std::uint32_t | d_numBitsPerFeature = 1

## Detailed Description

Definition at line 20 of file RDKitFPGenerator.h.

## Constructor & Destructor Documentation

## ◆ RDKitFPArguments()

RDKit::RDKitFP::RDKitFPArguments::RDKitFPArguments | ( | unsigned int | minPath = 1,
|  | unsigned int | maxPath = 7,
|  | bool | useHs = true,
|  | bool | branchedPaths = true,
|  | bool | useBondOrder = true,
|  | bool | countSimulation = false,
|  | const std::vector< std::uint32_t > | countBounds = {1, 2, 4, 8},
|  | std::uint32_t | fpSize = 2048,
|  | std::uint32_t | numBitsPerFeature = 2 )

Construct a new RDKitFPArguments object.

Parameters

  minPath | the minimum path length (in bonds) to be included
  maxPath | the maximum path length (in bonds) to be included
  useHs | toggles inclusion of Hs in paths (if the molecule has explicit Hs)
  branchedPaths | toggles generation of branched subgraphs, not just linear paths
  useBondOrder | toggles inclusion of bond orders in the path hashes
  countSimulation | if set, use count simulation while generating the fingerprint
  countBounds | boundaries for count simulation, corresponding bit will be set if the count is higher than the number provided for that spot
  fpSize | size of the generated fingerprint, does not affect the sparse versions
  numBitsPerFeature | controls the number of bits that are set for each path/subgraph found

## Member Function Documentation

## ◆ fromJSON()

void RDKit::RDKitFP::RDKitFPArguments::fromJSON | ( | const boost::property_tree::ptree & | pt | ) |
| overridevirtual

Reimplemented from RDKit::FingerprintArguments.

## ◆ infoString()

std::string RDKit::RDKitFP::RDKitFPArguments::infoString | ( |  | ) | const
| overridevirtual

method that returns information string about the fingerprint specific argument set and the arguments themselves

Returns
  std::string information string

Implements RDKit::FingerprintArguments.

## ◆ toJSON()

void RDKit::RDKitFP::RDKitFPArguments::toJSON | ( | boost::property_tree::ptree & | pt | ) | const
| overridevirtual

Reimplemented from RDKit::FingerprintArguments.

## Member Data Documentation

## ◆ d_maxPath

unsigned int RDKit::RDKitFP::RDKitFPArguments::d_maxPath = 7

Definition at line 23 of file RDKitFPGenerator.h.

## ◆ d_minPath

unsigned int RDKit::RDKitFP::RDKitFPArguments::d_minPath = 1

Definition at line 22 of file RDKitFPGenerator.h.

## ◆ df_branchedPaths

bool RDKit::RDKitFP::RDKitFPArguments::df_branchedPaths = true

Definition at line 25 of file RDKitFPGenerator.h.

## ◆ df_useBondOrder

bool RDKit::RDKitFP::RDKitFPArguments::df_useBondOrder = true

Definition at line 26 of file RDKitFPGenerator.h.

## ◆ df_useHs

bool RDKit::RDKitFP::RDKitFPArguments::df_useHs = true

Definition at line 24 of file RDKitFPGenerator.h.

The documentation for this class was generated from the following file:

- RDKitFPGenerator.h